
Redmine - Feature #21863

Filter on open blockers only

2016-01-27 19:33 - Rob Kinyon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When I create a filter with "Blocked By", I get 6 options:

"is" <issue number>

"any issues in project" <project name>

"any issues not in project" <project name>

"no issues in project" <project name>

"any"

"none"

The problem is that the blocking issues aren't evaluated for being opened or closed. This means that my query will show issues that

are "blocked by" issues that are all closed. Which isn't helpful.

In my mind, the query should either only consider issues as blockers if they are open or allow me to specify "any open" vs "any". This

way, I can see which issues are ready for development by excluding issues which have an open blocker.

Environment:

  Redmine version                2.6.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

  Rails version                  3.2.21

  Environment                    production

  Database adapter               Mysql2

Related issues:

Is duplicate of Redmine - Feature #16621: Ability to filter issues blocked by... Closed

History

#1 - 2016-01-27 19:38 - Rob Kinyon

I have also just confirmed this behavior on http://demo.redmine.org/. I created two issues, made one block the other, closed the blocker, and still saw

the blocked issue when searching on blockers.

#2 - 2016-01-27 19:44 - Rob Kinyon

I see some related issues:

#16621#note-8

This appears to fix the problem, but the demo site (is it on 3.2.0?) doesn't show this behavior.

#15029

#4985#note-7

#3625 (This issue may be a refinement of that one)

#3 - 2016-02-23 12:28 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #16621.

#4 - 2016-02-23 12:28 - Toshi MARUYAMA

- Is duplicate of Feature #16621: Ability to filter issues blocked by any/no open issues added
